Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 02/25/2019 in all areas

  1. Wrap your getkword in something like this: (setq pos (cond ((getkword (strcat "\nChoice[A/B/C/D] <" pos ">: "))) (pos) ) )
    1 point
  2. (defun c:test (/ pos) ;; Save variable to the registry .. good across sessions (or (setq pos (getenv "MySavedSetting")) (setq pos "A")) (cond ((and (not (initget "A B C D")) (setq pos (getkword (strcat "\nChoice[A/B/C/D] <" pos ">: "))) (findfile (strcat "c:\\Teste\\" pos ".dwg")) ) (command "_.Insert" (strcat "c:\\Teste\\" pos ".dwg") "_Scale" 1 pause "" "_.Explode" (entlast) ) (setenv "MySavedSetting" pos) ) ) (princ) ) (defun c:test nil ;; Or use global .. good for current session (or pos (setq pos "A")) (if (and (not (initget "A B C D")) (setq pos (getkword (strcat "\nChoice[A/B/C/D] <" pos ">: "))) (findfile (strcat "c:\\Teste\\" pos ".dwg")) ) (command "_.Insert" (strcat "c:\\Teste\\" pos ".dwg") "_Scale" 1 pause "" "_.Explode" (entlast)) ) (princ) )
    1 point
  3. The only problem with dataextraction is it gives count as 1 for every item so you have to do a macro to re-total thats what I am working on is doing the count part and could go further levels, like layer and style being counted seperately. Hence request for a dwg.
    1 point
  4. Sometimes I find myself shaking my head in disbelief. This is one of those times.
    1 point
×
×
  • Create New...